Users

GET /public/v1/users/me

Retrieve the authenticated user's profile and workspace memberships.

GET /public/v1/users/me

GET /public/v1/users/me

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/users/me' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "user": {
      "id": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "image": "<string>",
      "created_at": "<string>",
      "workspaces": [
        {}
      ]
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • user object
      + Show Child Attributes
      • id string
      • email string
      • first_name string nullable
      • last_name string nullable
      • image string nullable
      • created_at string
      • workspaces[] object array
        + Show Child Attributes
        • id string
        • name string
        • role string